org.apache.cassandra.cql3

## Class ColumnCondition.UDTInBound

- java.lang.Object
- - org.apache.cassandra.cql3.ColumnCondition.Bound
  - - org.apache.cassandra.cql3.ColumnCondition.UDTInBound

Enclosing class:
  ColumnCondition

    public static class ColumnCondition.UDTInBound
    extends ColumnCondition.Bound

An IN condition on an entire UDT. For example: IF user IN ({name: 'joe', age: 42}, {name: 'bob', age: 23}).

### Field Summary

### Fields inherited from class org.apache.cassandra.cql3.ColumnCondition.Bound

`column, operator`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `appliesTo(Row row)` Validates whether this condition applies to `current`.

### Methods inherited from class org.apache.cassandra.cql3.ColumnCondition.Bound

`compareWithOperator, getCollectionElementValue, isSatisfiedByValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### appliesTo

    public boolean appliesTo(Row row)
                      throws InvalidRequestException

Description copied from class: `ColumnCondition.Bound`
Validates whether this condition applies to `current`.

Specified by:
  `appliesTo` in class `ColumnCondition.Bound`
Throws:
  `InvalidRequestException`